Subject: bug#16854: 24.3.50; ert-run-tests-interactively t selector not working

From: Dmitry Gutov <[email-masked]>
Date: Mon, 24 Feb 2014 19:51:54 +0200

On 24.02.2014 08:35, Helmut Eller wrote:
> I think now that using read instead of intern should work fine: normal
> test names can be entered with tab completion support and regexps by
> inserting quotes as needed.

I think so too. At least, that's how it worked before.

`read-from-minibuffer' docstring describes the READ argument to work as 
(car (read-from-string INPUT-STRING)), but I don't see how it's better 
than plain `read'.

> The only remaining annoyance is that spaces
> must be inserted with C-q SPC.

Yeah, that's a separate problem. Personally, I don't use SPC for 
completion anywhere, so that binding is harmful for me in any kind of 
completing-read, not just here.